Index: pjproject/trunk/build.symbian/pjlib.mmp
===================================================================
--- pjproject/trunk/build.symbian/pjlib.mmp	(revision 2965)
+++ pjproject/trunk/build.symbian/pjlib.mmp	(revision 2966)
@@ -51,4 +51,5 @@
 SOURCE		rbtree.c
 SOURCE		sock_common.c
+SOURCE		sock_qos_common.c
 SOURCE		types.c
 
@@ -76,4 +77,5 @@
 SOURCE		sock_symbian.cpp
 SOURCE		sock_select_symbian.cpp
+SOURCE		sock_qos_symbian.cpp
 SOURCE		timer_symbian.cpp
 SOURCE		unicode_symbian.cpp
Index: pjproject/trunk/pjlib/build/Makefile
===================================================================
--- pjproject/trunk/pjlib/build/Makefile	(revision 2965)
+++ pjproject/trunk/pjlib/build/Makefile	(revision 2966)
@@ -26,5 +26,6 @@
 	guid.o hash.o ip_helper_generic.o list.o lock.o log.o os_time_common.o \
 	pool.o pool_buf.o pool_caching.o pool_dbg.o rand.o \
-	rbtree.o sock_common.o string.o timer.o types.o
+	rbtree.o sock_common.o sock_qos_common.o sock_qos_bsd.o \
+	string.o timer.o types.o
 export PJLIB_CFLAGS += $(_CFLAGS)
 
Index: pjproject/trunk/pjlib/build/pjlib.dsp
===================================================================
--- pjproject/trunk/pjlib/build/pjlib.dsp	(revision 2965)
+++ pjproject/trunk/pjlib/build/pjlib.dsp	(revision 2966)
@@ -342,4 +342,12 @@
 # Begin Source File
 
+SOURCE=..\src\pj\sock_qos_bsd.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\src\pj\sock_qos_common.c
+# End Source File
+# Begin Source File
+
 SOURCE=..\src\pj\sock_select.c
 # End Source File
@@ -587,4 +595,8 @@
 
 SOURCE=..\include\pj\sock.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\include\pj\sock_qos.h
 # End Source File
 # Begin Source File
